Last Comment Bug 672229 - Intermittent failure in dom/workers/test/test_errorPropagation.html | This test left crash dumps behind, but we weren't expecting it to!
: Intermittent failure in dom/workers/test/test_errorPropagation.html | This te...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 438871 new-web-workers
  Show dependency treegraph
 
Reported: 2011-07-18 09:13 PDT by :Ehsan Akhgari
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Ehsan Akhgari 2011-07-18 09:13:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310997698.1311001409.32478.gz&fulltext=1#err0
Rev3 WINNT 5.1 mozilla-inbound debug test mochitests-3/5 on 2011/07/18 07:01:38

5868 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.message - "expectedError" should equal "expectedError"
5869 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js" should equal "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js"
5870 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5871 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.message - "expectedError" should equal "expectedError"
5872 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js" should equal "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js"
5873 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5874 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.message - "expectedError" should equal "expectedError"
5875 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js" should equal "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js"
5876 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5877 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.message - "expectedError" should equal "expectedError"
5878 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js" should equal "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js"
5879 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5880 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.message - "expectedError" should equal "expectedError"
5881 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js" should equal "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js"
5882 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5883 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.message - "expectedError" should equal "expectedError"
5884 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js" should equal "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js"
5885 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5886 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.message - "expectedError" should equal "expectedError"
5887 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js" should equal "http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js"
5888 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5889 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message in error console - "[JavaScript Error: \"expectedError\" {file: \"http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js\" line: 48}]" should equal "[JavaScript Error: \"expectedError\" {file: \"http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js\" line: 48}]"
5890 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Good number of scope errors - 3 should equal 3
5891 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Good number of worker errors - 3 should equal 3
5892 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Good number of window errors - 1 should equal 1
5893 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | This test left crash dumps behind, but we weren't expecting it to!
5894 INFO TEST-INFO | Found unexpected crash dump file c:\docume~1\cltbld\locals~1\temp\tmpimn1bg\minidumps\f78c1e7e-fece-4bb5-89b2-51c069657c7d.dmp.
5895 INFO TEST-END | /tests/dom/workers/test/test_errorPropagation.html | finished in 4882ms
nsStringStats
 => mAllocCount:        1708250
 => mReallocCount:       133692
 => mFreeCount:         1603424  --  LEAKED 104826 !!!
 => mShareCount:        3855763
 => mAdoptCount:         189870
 => mAdoptFreeCount:     189862  --  LEAKED 8 !!!
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsFrameMessageManager.cpp, line 774
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | application timed out after 330 seconds with no output
Comment 1 Treeherder Robot 2011-07-18 13:43:03 PDT
mbrubeck%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311015325.1311019116.21403.gz
Rev3 WINNT 5.1 mozilla-inbound debug test mochitests-3/5 on 2011/07/18 11:55:25

s: talos-r3-xp-056
5903 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_eventDispatch.html | application timed out after 330 seconds with no output
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 3084
Comment 2 :Ehsan Akhgari 2011-07-26 13:53:17 PDT
Let's say this is fixed now...

Note You need to log in before you can comment on or make changes to this bug.